package net.parsell.cherry.core;

import net.fabricmc.fabric.api.client.rendering.v1.ColorProviderRegistry;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.fabricmc.fabric.api.registry.FlammableBlockRegistry;
import net.minecraft.block.Block;
import net.minecraft.block.Blocks;
import net.minecraft.block.LeavesBlock;
import net.minecraft.block.PillarBlock;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

public class CherryBlocks {
    public static final Block CHERRYLOG = new PillarBlock(FabricBlockSettings.copyOf(Blocks.OAK_LOG));
    public static final Block CHERRYLEAVES = new LeavesBlock(FabricBlockSettings.copyOf(Blocks.OAK_LEAVES));

    private static void registerBlocks() {
        System.out.println("Adding blocks...");
        Registry.register(Registry.BLOCK, new Identifier("cherry", "cherry_log"), CHERRYLOG);
        Registry.register(Registry.BLOCK, new Identifier("cherry", "cherry_leaves"), CHERRYLEAVES);
        System.out.println("Successfully added blocks!");
        System.out.println("Setting flammability...");
        FlammableBlockRegistry.getDefaultInstance().add(CHERRYLOG, 5, 5);
        FlammableBlockRegistry.getDefaultInstance().add(CHERRYLEAVES, 30, 60);
        ColorProviderRegistry.BLOCK.register((state, world, pos, tintIndex) -> {
            return 6649929;
         }, CHERRYLEAVES);
    }

    public static void init(){
        registerBlocks();
    }
}
